# DataExchange
TKVRML
Vrml

# Vrml_WWWInline Class Reference

defines a WWWInline node of VRML specifying group properties.
The WWWInline group node reads its children from anywhere in the
World Wide Web.
Exactly when its children are read is not defined;
reading the children may be delayed until the WWWInline is actually
displayed.
WWWInline with an empty ("") name does nothing.
WWWInline behaves like a Separator, pushing the traversal state
before traversing its children and popping it afterwards.
By defaults:
myName ("")
myBboxSize (0,0,0)
myBboxCenter (0,0,0)

`#include <Vrml_WWWInline.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_WWWInline ()
Standard_EXPORT | Vrml_WWWInline (const TCollection_AsciiString &aName, const gp_Vec &aBboxSize, const gp_Vec &aBboxCenter)
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
Standard_EXPORT TCollection_AsciiString | Name () const
Standard_EXPORT void | SetBboxSize (const gp_Vec &aBboxSize)
Standard_EXPORT gp_Vec | BboxSize () const
Standard_EXPORT void | SetBboxCenter (const gp_Vec &aBboxCenter)
Standard_EXPORT gp_Vec | BboxCenter () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

TCollection_AsciiString | myName
gp_Vec | myBboxSize
gp_Vec | myBboxCenter

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_WWWInline::Vrml_WWWInline | ( |  | ) |

Standard_EXPORT Vrml_WWWInline::Vrml_WWWInline | ( | const TCollection_AsciiString & | aName,
|  | const gp_Vec & | aBboxSize,
|  | const gp_Vec & | aBboxCenter
| ) |

## Member Function Documentation

Standard_EXPORT gp_Vec Vrml_WWWInline::BboxCenter | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_WWWInline::BboxSize | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Vrml_WWWInline::Name | ( |  | ) | const

void Vrml_WWWInline::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_WWWInline::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_WWWInline::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_WWWInline::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_WWWInline::SetBboxCenter | ( | const gp_Vec & | aBboxCenter | ) |

Standard_EXPORT void Vrml_WWWInline::SetBboxSize | ( | const gp_Vec & | aBboxSize | ) |

Standard_EXPORT void Vrml_WWWInline::SetName | ( | const TCollection_AsciiString & | aName | ) |

## Field Documentation

gp_Vec Vrml_WWWInline::myBboxCenter `[private]`

gp_Vec Vrml_WWWInline::myBboxSize `[private]`

TCollection_AsciiString Vrml_WWWInline::myName `[private]`

The documentation for this class was generated from the following file:

- Vrml_WWWInline.hxx